Loading...
Searching...
No Matches
XrdVomsgsi.cc File Reference
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdVomsFun.hh"`
Include dependency graph for XrdVomsgsi.cc:

Go to the source code of this file.

## Functions

int | XrdSecgsiVOMSFun (XrdSecEntity &ent)
int | XrdSecgsiVOMSInit (const char *cfg)

## Function Documentation

## XrdSecgsiVOMSFun()

int XrdSecgsiVOMSFun | ( | XrdSecEntity & | ent | ) |

Definition at line 56 of file XrdVomsgsi.cc.

{
// Make sure we were initialized. If so, invoke the function and return result.
//
return (vomsFun ? vomsFun->VOMSFun(ent) : -1);
}

## XrdSecgsiVOMSInit()

int XrdSecgsiVOMSInit | ( | const char * | cfg | ) |

Definition at line 72 of file XrdVomsgsi.cc.

{
static XrdSysLogger gLogger;
static XrdSysError gDest(&gLogger, "XrdVoms");
// Allocate a new Voms object
//
vomsFun = new XrdVomsFun(gDest);
// Initialize it. There is no error return to speak of.
//
return vomsFun->VOMSInit(cfg);
}
XrdSysError
Definition XrdSysError.hh:90
XrdSysLogger
Definition XrdSysLogger.hh:53
XrdVomsFun
Definition XrdVomsFun.hh:44